import http from '@/utils/http'

/**
 * 获取浏览量
 */
export const getvisit = () => {
  return http.get('show/visit/add/visit')
}

/**
 * 获取馆藏列表
 */
export const getGoodsList = (data: any) => {
  return http.post('show/goods/pageList', data)
}

/**
 * 获取馆藏详情
 */
export const getGoodsInfo = (id: number) => {
  return http.get(`show/goods/detail/${id}`)
}

/**
 * 获取字典列表
 */
export const getDictList = (type: 'goods' | 'expert') => {
  return http.get(`show/dict/getList?type=${type}`)
}

/**
 * 获取专家数据列表
 */
export const getExpertList = (data: any) => {
  return http.post('show/expert/pageList', data)
}

/**
 * 获取专家详情
 */
export const getExpertInfo = (id: number) => {
  return http.get(`show/expert/detail/${id}`)
}
